Package org.eclipse.m2m.atl.profiler.model

## Interface ModelFactory

All Superinterfaces:
  `org.eclipse.emf.ecore.EFactory`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `ModelFactoryImpl`

    public interface ModelFactory
    extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `ModelPackage`

### Field Summary

Fields
`static ModelFactory` `eINSTANCE` The singleton instance of the factory.

### Method Summary

All Methods Instance Methods Abstract Methods
`ATLInstruction` `createATLInstruction()` Returns a new object of class 'ATL Instruction'.
`ATLOperation` `createATLOperation()` Returns a new object of class 'ATL Operation'.
`Context` `createContext()` Returns a new object of class 'Context'.
`ExecutionError` `createExecutionError()` Returns a new object of class 'Execution Error'.
`ProfilingInstruction` `createProfilingInstruction()` Returns a new object of class 'Profiling Instruction'.
`ProfilingModel` `createProfilingModel()` Returns a new object of class 'Profiling Model'.
`ProfilingOperation` `createProfilingOperation()` Returns a new object of class 'Profiling Operation'.
`ModelPackage` `getModelPackage()` Returns the package supported by this factory.

### Methods inherited from interface org.eclipse.emf.ecore.EFactory

`convertToString, create, createFromString, getEPackage, setEPackage`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### eINSTANCE

    static final ModelFactory eINSTANCE

The singleton instance of the factory.

### Method Detail

#### createProfilingInstruction

    ProfilingInstruction createProfilingInstruction()

Returns a new object of class 'Profiling Instruction'.

Returns:
  a new object of class 'Profiling Instruction'.

#### createProfilingOperation

    ProfilingOperation createProfilingOperation()

Returns a new object of class 'Profiling Operation'.

Returns:
  a new object of class 'Profiling Operation'.

#### createProfilingModel

    ProfilingModel createProfilingModel()

Returns a new object of class 'Profiling Model'.

Returns:
  a new object of class 'Profiling Model'.

#### createATLOperation

    ATLOperation createATLOperation()

Returns a new object of class 'ATL Operation'.

Returns:
  a new object of class 'ATL Operation'.

#### createATLInstruction

    ATLInstruction createATLInstruction()

Returns a new object of class 'ATL Instruction'.

Returns:
  a new object of class 'ATL Instruction'.

#### createContext

    Context createContext()

Returns a new object of class 'Context'.

Returns:
  a new object of class 'Context'.

#### createExecutionError

    ExecutionError createExecutionError()

Returns a new object of class 'Execution Error'.

Returns:
  a new object of class 'Execution Error'.

#### getModelPackage

    ModelPackage getModelPackage()

Returns the package supported by this factory.

Returns:
  the package supported by this factory.